# -*- encoding: utf-8 -*-
# -----------------------------------------------------------------------------
# @File Name  : curriculum_order.py
# @Time       : 2020/11/18 下午3:11
# @Author     : X. Peng
# @Email      : acepengxiong@163.com
# @Software   : PyCharm
# -----------------------------------------------------------------------------
from sqlalchemy import Column, BigInteger, Integer, String, DateTime, Float, text
from sqlalchemy.sql import func
from app.model.base import Base
from app.model.base import BaseModel
import time

class CurriculumOrder(Base, BaseModel):
    """课程订单表"""
    __tablename__ = 'curriculum_order'

    id = Column(String(64), primary_key=True)
    order_no = Column(String(50), comment='订单号')
    transaction_serial_no = Column(String(50), server_default='', comment='交易流水号')
    prod_type = Column(String(200), comment='商品类型1：栏目 3：直播 4：视频 5 音频')
    prod_name = Column(String(200), comment='商品名称')
    prod_id = Column(String(200), comment='商品ID')
    prod_quantity = Column(Integer, server_default=text('1'), comment='数量')
    amount = Column(BigInteger, comment='订单总额')
    user_id = Column(String(100), comment='用户ID')
    order_status = Column(Integer, server_default=text('0'), comment='订单状态：0:未支付，1:已支付，2:已退款')
    pay_method = Column(Integer, server_default=text('1'), comment='支付方式：1:探普贝，2:微信支付，3:支付宝支付，4:苹果支付')
    create_time = Column(DateTime(timezone=True), server_default=func.now(), comment='创建时间')
    pay_time = Column(DateTime(timezone=True), server_default=func.now(), comment='付款时间')
    complete_time = Column(DateTime(timezone=True), server_default=func.now(), comment='完成时间')
    del_flag = Column(Integer, server_default=text('0'), comment='是否删除,0:未删除,1:已删除')

